Subject: Re: [QUESTION] 440EPx with PCI to PCIe bridge error

From: "Steven A. Falco" <[email-masked]>
Date: Tue, 06 Jan 2009 15:41:02 -0500

Benjamin Herrenschmidt wrote:
> 
>> Here is a complete startup log, with debug turned on as you requested.
>> This is still against 2.6.27.9, as it will take me a little time to
>> build 2.6.28.  Hopefully, this log will be useful in the meantime.
> 
> Can you add "debug" to your kernel command line option or send the
> output of the "dmesg" command please ?
> 
> Cheers,
> Ben.
> 

I saw a recent post from Anton talking about U-Boot configuring PCI.  That
got me wondering if U-Boot has anything to do with the problem I've
reported.  So, I turned on debug in uboot's pci_auto.c, and added another
DEBUGF like so:

	if (addr - res->bus_start + size > res->size) {
		DEBUGF("address=0x%lx bus_start=%lx size=%x limit=%lx\n",
			       	addr, res->bus_start, size, res->size);
		DEBUGF("No room in resource");
		goto error;
	}

When starting U-Boot, I get a "No room in resource" message.  Will this
affect Linux, or is it just a U-Boot warning?

	Steve

U-Boot 2008.10-00079-gebb3412-dirty (Jan  6 2009 - 15:21:56)

CPU:   AMCC PowerPC 440EPx Rev. A at 666.666 MHz (PLB=166, OPB=83, EBC=55 MHz)
       Security/Kasumi support
       Bootstrap Option H - Boot ROM Location I2C (Addr 0x52)
       Internal PCI arbiter enabled, PCI async ext clock used
       32 kB I-Cache 32 kB D-Cache
Board: Sequoia - AMCC PPC440EPx Evaluation Board, Rev. F, PCI=66 MHz, serial# 7654
I2C:   ready
SPI:   ready
DTT:   1 is 35 C
DRAM:  256 MB
FLASH: 64 MB
NAND:  32 MiB
PCI:   Bus Dev VenId DevId Class Int
PCI Autoconfig: Bus Memory region: [80000000-8fffffff],
                Physical Memory [80000000-8fffffff]
PCI Autoconfig: Bus I/O region: [0-ffff],
                Physical Memory: [e8000000-e800ffff]
PCI Autoconfig: Found P2P bridge, device 12
PCI Autoconfig: BAR 0, Mem, size=0x80000, address=0x80000000 bus_lower=80080000
PCI Autoconfig: BAR 1, Mem, size=0x10000000, address=0x90000000 bus_start=80000000 size=10000000 limit=10000000
No room in resource
        01  00  1172  0004  ff00  43
        00  0c  10b5  8112  0604  43